Package com.sun.jna.platform.win32

# Class OaIdl.IDLDESC

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.OaIdl.IDLDESC

Direct Known Subclasses:
  `OaIdl.IDLDESC.ByReference`

Enclosing interface:
  OaIdl

@FieldOrder({"dwReserved","wIDLFlags"}) public static class OaIdl.IDLDESC extends Structure

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`OaIdl.IDLDESC.ByReference`

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`BaseTSD.ULONG_PTR`
`dwReserved`
`WinDef.USHORT`
`wIDLFlags`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`IDLDESC()`
`IDLDESC(BaseTSD.ULONG_PTR dwReserved, WinDef.USHORT wIDLFlags)`
`IDLDESC(Pointer pointer)`

## Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### dwReserved

public BaseTSD.ULONG_PTR dwReserved

### wIDLFlags

public WinDef.USHORT wIDLFlags

## Constructor Details

### IDLDESC

public IDLDESC()

### IDLDESC

public IDLDESC(Pointer pointer)

### IDLDESC

public IDLDESC(BaseTSD.ULONG_PTR dwReserved, WinDef.USHORT wIDLFlags)